Subject: afs/Documentation/filesystems afs.txt,1.6,1.7

From: [email-masked]
Date: Thu, 25 Mar 2004 15:34:33 +0000

Update of /home/cvs/afs/Documentation/filesystems
In directory phoenix.infradead.org:/tmp/cvs-serv24743

Modified Files:
	afs.txt 
Log Message:
doc update

Index: afs.txt
===================================================================
RCS file: /home/cvs/afs/Documentation/filesystems/afs.txt,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- afs.txt	18 Jul 2003 15:40:30 -0000	1.6
+++ afs.txt	25 Mar 2004 15:34:31 -0000	1.7
@@ -27,8 +27,15 @@
 The first module is a driver for the RxRPC remote operation protocol, and the
 second is the actual filesystem driver for the AFS filesystem.
 
-Once the module has been loaded, more modules can be added by the following
-procedure:
+An alternative way to configure the root cell is to write the same module
+parameter syntax into /proc/fs/afs/rootcell. This is used mainly for kafs with
+OpenAFS compatibility mode, which must be built statically into
+kernels. Example:
+
+	echo "cambridge.redhat.com:172.16.18.91" > /proc/fs/afs/rootcell
+
+Once the module has been loaded and/or configured, more cells can be added by
+the following procedure:
 
 	echo add grand.central.org 18.7.14.88:128.2.191.224 >/proc/fs/afs/cells
 
@@ -134,13 +141,13 @@
 to my internal DNS. My "root.afs" partition has a mount point within it for
 some public volumes volumes.
 
-insmod -S /tmp/rxrpc.o 
+insmod -S /tmp/rxrpc.o
 insmod -S /tmp/kafs.o rootcell=cambridge.redhat.com:172.16.18.73:172.16.18.91
 
 mount -t afs \%root.afs. /afs
 mount -t afs \%cambridge.redhat.com:root.cell. /afs/cambridge.redhat.com/
 
-echo add grand.central.org 18.7.14.88:128.2.191.224 > /proc/fs/afs/cells 
+echo add grand.central.org 18.7.14.88:128.2.191.224 > /proc/fs/afs/cells
 mount -t afs "#grand.central.org:root.cell." /afs/grand.central.org/
 mount -t afs "#grand.central.org:root.archive." /afs/grand.central.org/archive
 mount -t afs "#grand.central.org:root.contrib." /afs/grand.central.org/contrib